# builders.hh File Reference

Tools to help loading automata. More...

Include dependency graph for builders.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | monGenAction< T >
| monGenAction More...
class | monGenHandler< T, U >
| monGenHandler More...
class | monGenTupleHandler< T, U >
| monGenTupleHandler More...
class | FreeMonoidHandler< T >
| FreeMonoidHandler. More...
class | SeriesRepresentationHandler< T >
| SeriesRepresentationHandler. More...
class | NumSemiringHandler< T >
| NumSemiringHandler. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::xml::builders

| Consistency.

## Detailed Description

Tools to help loading automata.

See also:
  vcsn::xml::*Handler

Author:
  Florian Lesaint <florian.lesaint@lrde.epita.fr>

Definition in file builders.hh.